Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.reflection
Class DefaultNanoContainerTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.nanocontainer.reflection.DefaultNanoContainerTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class DefaultNanoContainerTestCase

extends junit.framework.TestCase

Nested Class Summary
`static class` | `DefaultNanoContainerTestCase.AnotherFooComp`
`static class` | `DefaultNanoContainerTestCase.BarDecoratingPicoContainer`
`static class` | `DefaultNanoContainerTestCase.FooDecoratingPicoContainer`

Constructor Summary
`DefaultNanoContainerTestCase()`

Method Summary
`void` | `testBasic()`
`void` | `testChainOfDecoratingPicoContainersCanDoInterceptionOfMutablePicoContainerMethods()`
`void` | `testChildContainerAdapterCanRelyOnParentContainerAdapter()`
`void` | `testClassLoaderJugglingIsPossible()`
`void` | `testNoGenerationRegistration()`
`void` | `testParametersCanBePassedInStringForm()`
`void` | `testProvision()`
`void` | `testThatTestCompIsNotNaturallyInTheClassPathForTesting()`
`void` | `TODO_testSecurityManagerCanPreventOperations()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultNanoContainerTestCase

    public DefaultNanoContainerTestCase()

Method Detail

### testBasic

    public void testBasic()
                   throws org.picocontainer.PicoRegistrationException,
                          org.picocontainer.PicoInitializationException,
                          ClassNotFoundException

  Throws:
    `org.picocontainer.PicoRegistrationException`
    `org.picocontainer.PicoInitializationException`
    `ClassNotFoundException`

### testProvision

    public void testProvision()
                       throws org.picocontainer.PicoException,
                              org.picocontainer.PicoInitializationException,
                              ClassNotFoundException

  Throws:
    `org.picocontainer.PicoException`
    `org.picocontainer.PicoInitializationException`
    `ClassNotFoundException`

### testNoGenerationRegistration

    public void testNoGenerationRegistration()
                                      throws org.picocontainer.PicoRegistrationException,
                                             org.picocontainer.PicoIntrospectionException

  Throws:
    `org.picocontainer.PicoRegistrationException`
    `org.picocontainer.PicoIntrospectionException`

### testParametersCanBePassedInStringForm

    public void testParametersCanBePassedInStringForm()
                                               throws ClassNotFoundException,
                                                      org.picocontainer.PicoException,
                                                      org.picocontainer.PicoInitializationException

  Throws:
    `ClassNotFoundException`
    `org.picocontainer.PicoException`
    `org.picocontainer.PicoInitializationException`

### testThatTestCompIsNotNaturallyInTheClassPathForTesting

    public void testThatTestCompIsNotNaturallyInTheClassPathForTesting()

### testChildContainerAdapterCanRelyOnParentContainerAdapter

    public void testChildContainerAdapterCanRelyOnParentContainerAdapter()
                                                                  throws MalformedURLException,
                                                                         ClassNotFoundException

  Throws:
    `MalformedURLException`
    `ClassNotFoundException`

### testClassLoaderJugglingIsPossible

    public void testClassLoaderJugglingIsPossible()
                                           throws MalformedURLException,
                                                  ClassNotFoundException

  Throws:
    `MalformedURLException`
    `ClassNotFoundException`

### TODO_testSecurityManagerCanPreventOperations

    public void TODO_testSecurityManagerCanPreventOperations()
                                                      throws MalformedURLException,
                                                             ClassNotFoundException

  Throws:
    `MalformedURLException`
    `ClassNotFoundException`

### testChainOfDecoratingPicoContainersCanDoInterceptionOfMutablePicoContainerMethods

    public void testChainOfDecoratingPicoContainersCanDoInterceptionOfMutablePicoContainerMethods()
                                                                                           throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.